# Record Class CJ1StockRepositSerialIntroduce

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.json.internal.CJ1StockRepositSerialIntroduce

All Implemented Interfaces:
  `CJ1StockRepositType, CJ1ValueType`

@JsonClassDescription("Introduce a new serial stock occurrence.") public record CJ1StockRepositSerialIntroduce(UUID instance, UUID item, UUID location, CJ1ItemSerial serial) extends Record implements CJ1StockRepositType

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CJ1StockRepositSerialIntroduce(UUID instance, UUID item, UUID location, CJ1ItemSerial serial)`
  Creates an instance of a `CJ1StockRepositSerialIntroduce` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `UUID`
  `instance()`
  Returns the value of the `instance` record component.
  `UUID`
  `item()`
  Returns the value of the `item` record component.
  `UUID`
  `location()`
  Returns the value of the `location` record component.
  `CJ1ItemSerial`
  `serial()`
  Returns the value of the `serial` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CJ1StockRepositSerialIntroduce

    public CJ1StockRepositSerialIntroduce(@JsonPropertyDescription("The stock occurrence.") UUID instance, @JsonPropertyDescription("The item.") UUID item, @JsonPropertyDescription("The location.") UUID location, @JsonPropertyDescription("The serial number.") CJ1ItemSerial serial)
    Creates an instance of a `CJ1StockRepositSerialIntroduce` record class.
    Parameters:
      `instance` - the value for the `instance` record component
      `item` - the value for the `item` record component
      `location` - the value for the `location` record component
      `serial` - the value for the `serial` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### instance

    @JsonPropertyDescription("The stock occurrence.") public UUID instance()
    Returns the value of the `instance` record component.
    Returns:
      the value of the `instance` record component

  - ### item

    @JsonPropertyDescription("The item.") public UUID item()
    Returns the value of the `item` record component.
    Returns:
      the value of the `item` record component

  - ### location

    @JsonPropertyDescription("The location.") public UUID location()
    Returns the value of the `location` record component.
    Returns:
      the value of the `location` record component

  - ### serial

    @JsonPropertyDescription("The serial number.") public CJ1ItemSerial serial()
    Returns the value of the `serial` record component.
    Returns:
      the value of the `serial` record component